# Changelog
All notable changes to this project will be documented in this file.
## [1.81.20] - 2026-06-01
解除硬盘故障告警对定位状态的依赖

## [1.81.19] - 2026-05-29
修复RAID卡页面不显示添加按钮

## [1.81.18] - 2026-05-27
修复NVMe盘在reboot场景低概率误报linkfault告警

## [1.81.17] - 2026-05-23
修复controller对象更新信息失败时，不更新其他信息的问题

## [1.81.16] - 2026-05-22
日志刷屏问题整改

## [1.81.15] - 2026-05-22
修复nvme盘从raid获取到异常值剩余磨损率

## [1.81.14] - 2026-05-19
减轻硬盘日志自动收集任务阻塞其他业务对总线的访问的问题
修复博通raid卡下EPD盘短暂丢盘的问题
延长i2c读写后等待时间

## [1.81.13] - 2026-05-19
修复硬盘故障灯状态监测时未检查硬盘是否已识别的问题

## [1.81.12] - 2026-05-07
修复NVMe盘频繁插拔场景未加载调速策略csr的问题

## [1.81.11] - 2026-04-23
存储管理页面直通硬盘接口类型显示为SATA/SAS

## [1.81.10] - 2026-03-26
修复日志刷屏问题

## [1.81.9] - 2026-03-25
修复频繁创删逻辑盘时，由于硬盘缓存信息过期导致创建逻辑盘失败的问题

## [1.81.8] - 2026-03-24
修复硬盘日志自动收集周期未持久化的问题

## [1.81.7] - 2026-03-24
修复拔盘后产生missing告警

## [1.81.6] - 2026-03-12
修复阵列信息错误导致创建逻辑盘失败的问题

## [1.81.5] - 2026-03-12
修复日志刷屏问题

## [1.81.4] - 2026-03-11
修复missing告警的兼容性问题

## [1.81.3] - 2026-03-06
适配硬盘厂商码获取

## [1.81.2] - 2026-03-02
修复拔盘未清除硬盘数据的问题

## [1.81.1] - 2026-03-02
修复直通盘从bma获取不到厂商名的问题

## [1.81.0] - 2026-02-12
修复创建RAID逻辑盘概率性卡住

## [1.80.177] - 2026-02-12
修复ElementsInPrimaryDefectList日志刷屏

## [1.80.176] - 2025-12-23
修复下电时IPMI命令获取RAID卡信息失败的问题

## [1.80.175] - 2025-12-19
BIOS 上报的 M.2 盘信息，去掉后置空格

## [1.80.174] - 2025-12-19
新增适配长江存储SE005-480GB-H、SE005-1920GB-H、SE005-240GB-H、SE005-960GB-H，鹏钛P6118Z252153和江波龙RSYE3836N-480G等SATA SSD

## [1.80.173] - 2025-12-18
修复BBU的RefController属性无法更新的问题

## [1.80.172] - 2025-12-17
修复组件存在的高危capbility使用的问题

## [1.80.171] - 2025-12-17
修复因为条带大小异常导致ipmi命令解析报错的问题

## [1.80.170] - 2025-12-15
cleancode问题扫描清理

## [1.80.169] - 2025-12-15
增加硬盘插入拔出的定位日志

## [1.80.168] - 2025-12-15
修复IODeteriorationHealthCode属性持久化错误的问题

## [1.80.167] - 2025-12-14
修复频繁插拔RAID卡管理的两个硬盘概率误报link abnormal的告警

## [1.80.166] - 2025-12-13
优化raid卡信号监听时序，防止遗留

## [1.80.165] - 2025-12-13
修改报文参数

## [1.80.164] - 2025-12-12
优化raid卡pcbversion属性获取逻辑

## [1.80.163] - 2025-12-11
优化拔盘告警清除流程

## [1.80.162] - 2025-12-12
排查上下文使用方式

## [1.80.161] - 2025-12-11
加固1880 raid卡反复DC场景MCP通信失败的问题

## [1.80.160] - 2025-12-11
修复硬盘固件状态异常告警在os重启后误报的问题

## [1.80.159] - 2025-12-09
优化BBU故障告警计算方式

## [1.80.158] - 2025-12-09
修复NVMe拔盘未清除软件事件linkfault的问题

## [1.80.157] - 2025-12-05
优化raid控制nvme的厂商获取

## [1.80.156] - 2025-12-09
修改回收任务时延

## [1.80.155] - 2025-12-08
修复NVMe拔盘未清除软件事件linkfault的问题

## [1.80.154] - 2025-12-05
修复BMC复位场景BBU故障告警会恢复的问题

## [1.80.153] - 2025-12-04
增强NVMe盘Linkfault的可定位

## [1.80.152] - 2025-12-03
加固nvme通过mctp带外通信时解析数据时异常抛错的场景

## [1.80.151] - 2025-12-03
修复NVMe盘在reboot场景低概率误报linkfault告警的问题

## [1.80.150] - 2025-12-02
修复NVMe盘拔盘后故障灯仍然亮的问题

## [1.80.149] - 2025-12-01
支持使用数组的方式存储常驻对象

## [1.80.148] - 2025-11-29
新增对象StorageSetting以及相应属性

## [1.80.147] - 2025-11-20
支持直通场景获取华为SAS SSD盘的访问延时统计及传递

## [1.80.146] - 2025-11-27
raid卡获取数据的方式由并行改为串行防止插件请求队列阻塞

## [1.80.145] - 2025-11-27
支持优化多Raid时I2C链路性能阻塞功能详细说明书

## [1.80.144] - 2025-11-25
支持使用最新模版生成代码

## [1.80.142] - 2025-11-20
支持直通场景获取华为SAS SSD盘的访问延时统计及传递

## [1.80.142] - 2025-11-25
支持设置SSD寿命过低阈值的详设文档

## [1.80.141] - 2025-11-22
支持双主机场景下的NVMe盘带外管理

## [1.80.140] - 2025-11-17
支持双主机场景下的NVMe盘带外管理详设文档合入

## [1.80.139] - 2025-11-14
补充详设

## [1.80.138] - 2025-11-12
加固1880 raid卡反复DC场景MCP通信失败的问题

## [1.80.137] - 2025-11-12
支持收集huawei raid卡管理sas ssd硬盘IO读写延时数据

## [1.80.136] - 2025-11-6
支持redfish补齐Drive相关资源

## [1.80.135] - 2025-11-8
bmc.kepler.Systems.Storage.Controller接口下新增UncorrectableParityErrorCount属性

## [1.80.134] - 2025-11-4
新增收集ssd nvme盘IO延时数据功能

## [1.80.133] - 2025-11-4
修复防抖值与实际属性没有同步修改导致防抖失效的问题

## [1.80.132] - 2025-11-4
加固nvme盘创建EP的流程，减少资源树访问

## [1.80.131] - 2025-11-4
增加详细设计说明书

## [1.80.130] - 2025-11-4
支持获取SSD硬盘访问延时及上报功能详细说明书

## [1.80.129] - 2025-11-3
加固NVMe盘的Slot与Drive的Id不一致无法获取硬盘信息的问题

## [1.80.128] - 2025-11-3
新增接口:bmc.kepler.Systems.Storage.Drive.Diagnose和方法:CollectDiagnoseData,GetDiagnoseData

## [1.80.127] - 2025-10-31
修复RAID卡逻辑盘策略是否可配置与带内不一致的问题

## [1.80.126] - 2025-10-30
适配sml库编译脚本

## [1.80.125] - 2025-10-27
sml库代码移到storage仓

## [1.80.124] - 2025-10-25
纠正复杂类型属性值设置方式错误问题

## [1.80.123] - 2025-10-25
bmc.kepler.Systems.Storage.Controller接口中新增SetMaintainPDFailHistoryState方法

## [1.80.122] - 2025-10-23
修复快速插拔RAID管理的空闲盘时概率性出现硬盘更换告警的问题

## [1.80.121] - 2025-10-22
不支持带外管理硬盘中添加9500-8e

## [1.80.120] - 2025-10-16
修复nvme盘更更新固件版本、温度等信息错误的问题

## [1.80.119] - 2025-10-14
修复快速插拔RAID管理的空闲盘时概率性出现硬盘更换告警的问题

## [1.80.118] - 2025-09-29
修复频繁调用资源树RPC方法更新硬盘位置导致CPU占用率过高的问题

## [1.80.117] - 2025-09-26
修复raid卡日志收集时任务不退出的问题

## [1.80.116] - 2025-09-25
修改硬盘不在位时，取消警告

## [1.80.115] - 2025-09-24
增加周期垃圾回收机制

## [1.80.114] - 2025-09-23
对象管理机制初始化完成后再进行自发现

## [1.80.113] - 2025-09-23
storage组件启动时间优化

## [1.80.112] - 2025-09-22
CPU性能优化

## [1.80.111] - 2025-09-21
新增资源树对象ReplicaDrive

## [1.80.110] - 2025-09-20
清理cleancode

## [1.80.109] - 2025-09-20
降低组件初始化时长

## [1.80.108] - 2025-09-20
清理cleancode

## [1.80.107] - 2025-09-18
清理cleancode

## [1.80.104] - 2025-09-18
修复app日志刷屏

## [1.80.103] - 2025-09-18
修复异常tarceback日志打印

## [1.80.102] - 2025-09-17
cleancode问题扫描清理

## [1.80.101] - 2025-09-16
修复双riser双raid场景,skynet注册服务Id冲突导致raid服务挂死问题

## [1.80.100] - 2025-09-16
删除仓库级别的Issue模板 -- .gitcode 目录，不影响源码，使用组织级别模板

## [1.80.99] - 2025-09-13
修复直通NVME盘产生FAILEDARRAY告警的问题

## [1.80.98] - 2025-09-13
修复NVME盘状态异常告警在拔盘场景不清除的问题

## [1.80.97] - 2025-09-13
修复无bbu时snmp接口返回""，预期返回"N/A"

## [1.80.96] - 2025-09-13
修复ipmi命令模拟慢盘告警，bmc重启后告警消失问题

## [1.80.95] - 2025-09-13
修复controllerRPC方法后更新属性传参错误的问题

## [1.80.94] - 2025-09-12
新增BBU状态离散传感器,修改Battery对象HealthStatus属性emitsChangedSignal选项

## [1.80.93] - 2025-09-11
修复无法正常触发消除硬盘RAID组失效告警问题

## [1.80.92] - 2025-09-11
修复无bbu时snmp接口返回""，预期返回"N/A"

## [1.80.91] - 2025-09-01
修复一键收集日志时长超基线

## [1.80.90] - 2025-09-10
新增支持Memblaze PBlaze7 Nvme 硬盘 和Solidigm D7-PS1010 Nvme 硬盘

## [1.80.89] - 2025-09-08
【需求】新增支持 SamSung PM9D3A Nvme 硬盘

## [1.80.88] - 2025-09-06
修复插拔NVME盘概率性获取不到信息的问题

## [1.80.87] - 2025-09-06
修复当raid卡获取到默认值的条带大小时抛错导致raid卡部分信息无法更新的问题

## [1.80.86] - 2025-09-06
修复hardDiskSASAddr1与hardDiskSASAddr2显示N/A

## [1.80.85] - 2025-09-06
提升版本号

## [1.80.84] - 2025-09-05
修复ipmi接口storage大小写

## [1.80.83] - 2025-09-04
修复ipmi获取cachecade逻辑盘关联的普通逻辑盘id列表

## [1.80.83] - 2025-09-04
修复资产清单处RAID卡PcbVersion显示错误

## [1.80.82] - 2025-09-02
切换为框架提供的对象管理

## [1.80.81] - 2025-09-01
补充详设和单元测试

## [1.80.80] - 2025-08-31
适配9500 raid卡

## [1.80.79] - 2025-08-31
支持硬盘、RAID卡兼容性

## [1.80.78] - 2025-08-30
新增调试命令：获取硬盘实时运行数据

## [1.80.77] - 2025-08-29
支持nvme盘根据厂商动态加载cooling policy

## [1.80.76] - 2025-08-26
ipmi质量加固

## [1.80.75] - 2025-08-25
修复 Controller Id 初始化时序错误

## [1.80.74] - 2025-08-24
nvme盘支持mctp over smbus协议

## [1.80.73] - 2025-08-23
支持扩展NVMe盘告警触发SMART日志收集

## [1.80.72] - 2025-08-20
硬盘对象获取方式变更,新增接口通过Drive_Id获取硬盘对象

## [1.80.71] - 2025-08-20
支持扩展硬盘温度传感器

## [1.80.70] - 2025-08-19
自动生成

## [1.80.69] - 2025-08-18
优化README

## [1.80.68] - 2025-08-16
1880raid卡支持固件日志解析成文本

## [1.80.67] - 2025-08-15
NVMe连接器在获取到protocol之后才置在位

## [1.80.66] - 2025-08-11
支持记录raid卡厂商信息

## [1.80.65] - 2025-08-09
支持收集raidlibb的日志

## [1.80.64] - 2025-08-02
raid信息记录增加位置信息

## [1.80.63] - 2025-08-02
支持一键收集日志新增硬盘位置信息

## [1.80.62] - 2025-07-29
raid卡新增jbodsupport属性

## [1.80.61] - 2025-07-24
优化慢盘检测功能

## [1.80.60] - 2025-07-24
优化慢盘检测功能详设

## [1.80.59] - 2025-07-17
补充详设标题

## [1.80.58] - 2025-07-16
优化RAID卡健康状态显示，增加维护日志

## [1.80.57] - 2025-07-12
控制器对象新增epdsupported属性

## [1.80.56] - 2025-06-30
修复OS重启前与OS重启后的"DelayToStart"字段值不一致

## [1.80.55] - 2025-06-30
修复遗留问题修复storage日志刷屏的问题

## [1.80.54] - 2025-06-30
修复遗留问题

## [1.80.53] - 2025-06-30
修复错误清除raid卡csr配置的静态信息的问题

## [1.80.52] - 2025-06-29
优化phy起任务的逻辑

## [1.80.51] - 2025-06-24
优化RefDriveList,RefDrives赋值逻辑

## [1.80.50] - 2025-06-23
修复RAID卡卸载又加载后ID不一致导致硬盘关联错误不显示的问题
修复RAID卡卸载ID不一致导致硬盘不显示和Battery对象卸载失败的问题

## [1.80.49] - 2025-06-21
修复PMC RAID卡cli接口在raid级别为50,60时addld失败的问题

## [1.80.48] - 2025-06-21
优化下电场景patch请求返回的httpStatus问题

## [1.80.47] - 2025-06-19
修改双Raid卡升级riser时间超出基线问题

## [1.80.46] - 2025-06-19
新增raid卡适配

## [1.80.45] - 2025-06-18
增加设置LogAutoCollectEnable和LogAutoCollectInterval操作日志

## [1.80.44] - 2025-06-18
GetControllerInfo增加命令行描述

## [1.80.43] - 2025-06-17
修复日志产生和通信丢失问题

## [1.80.42] - 2025-06-17
GetControllerInfo自动代码

## [1.80.41] - 2025-06-17
cleancode问题扫描清理

## [1.80.40] - 2025-06-16
修复bbu在位信息更新错误问题

## [1.80.39] - 2025-06-16
门禁扫描代码处理优化

## [1.80.38] - 2025-06-15
修复IPMI无法持久化话的开关raid带外管理功能的问题

## [1.80.37] - 2025-06-15
修复无foreign盘时,redfish导入foreign配置,响应码为500不符合预期的问题

## [1.80.36] - 2025-06-15
修复直通背板SAS/SATA槽位，硬盘更换槽位后BMC无法获取到硬盘详细信息

## [1.80.35] - 2025-06-16
修复IPMI命令设置读策略传入非法值也能执行成功的问题

## [1.80.34] - 2025-06-15
修复nvme盘下电后仍有有效温度的问题

## [1.80.33] - 2025-06-15
修复GetIdentifyData方法获取日志大小错误问题

## [1.80.32] - 2025-06-15
修改硬盘冗余块记录条件

## [1.80.31] - 2025-06-15
支持GetIdentifyData方法收集的日志被异常删除时退出任务

## [1.80.30] - 2025-06-11
SetFaultIndicatorState、SetPCHDiskInfo整改定制厂商

## [1.80.29] -2025-06-11
修复IPMI命令在已有阵列上创建逻辑盘失败的问题

## [1.80.28] - 2025-06-10
新增装备定制化项BMCSet_DrivesLogAutoCollectEnable、BMCSet_DrivesLogCollectInterval；
修改硬盘日志自动收集任务逻辑：添加自动收集开启状态判断，设置收集周期

## [1.80.27] - 2025-06-09
扩展IPMI命令支持查询、设置硬盘日志自动收集开启状态LogAutoCollectEnable、收集周期LogAutoCollectInterval属性，支持手动触发收集硬盘日志

## [1.80.26] -2025-06-09
raid卡在无卡情况下生产日志

## [1.80.25] - 2025-06-08
bmc.kepler.Systems.Storage.Drives接口下新增LogAutoCollectEnable、LogAutoCollectInterval属性，新增StartCollectLog方法

## [1.80.24] - 2025-06-07
支持硬件子系统组件自定义命令

## [1.80.23] -2025-06-06
支持动态获取硬盘smart信息

## [1.80.22] -2025-06-04
支持文件安全操作函数满足重构需求

## [1.80.21] - 2025-06-04
storage组件gen自动生成代码

## [1.80.20] - 2025-06-03
修改存储页面乱码问题

## [1.80.19] - 2025-06-02
保证直通NVME盘通过nvme_mi协议串行调用

## [1.80.18] - 2025-05-28
支持直通NVME盘通过nvme_mi协议获取自定义0xefsmart log page

## [1.80.17] - 2025-05-27
修改存储管理页面乱码问题

## [1.80.16] - 2025-05-27
支持通用硬件满足资源树协作接口关键字规范要求

## [1.80.15] - 2025-05-22
修改PatrolState初值

## [1.80.14] - 2025-05-19
支持GetTelemetryData rpc方法

## [1.80.13] - 2025-05-15
支持GetIdentifyData SendNvmeMICommand rpc方法

## [1.80.12] - 2025-05-15
优化nvme目录结构

## [1.80.11] - 2025-05-14
支持GetSmartInfo rpc方法

## [1.80.10] - 2025-05-12
支持一键收集日志导出1880Raid卡固件日志

## [1.80.9] - 2025-05-10
GetSmartInfo,SendNvmeMICommand,GetTelemetryData,GetIdentifyData自动生成代码

## [1.80.8] - 2025-05-07
支持组件运行IT

## [1.80.7] - 2025-05-06
修复记录硬盘冗余块维护信息错误的问题

## [1.80.6] - 2025-05-05
修复IPMI命令发送失败问题

## [1.80.5] - 2025-04-30
修复IPMI命令设置硬盘fault灯失败问题

## [1.80.4] - 2025-04-29
适配pd_log_parse

## [1.80.3] - 2025-04-29
修复IPMI命令获取物理盘信息与资料不一致的问题

## [1.80.2] - 2025-04-28
支持NVME盘通过bma获取硬盘空闲块信息

## [1.80.1] - 2025-04-24
修复从bma获取到null时前端显示null的问题

## [1.80.0] - 2025-04-17
支持解析nvme mi协议响应码信息

## [1.70.43] - 2025-04-16
新建issue模板

## [1.70.42] - 2025-04-16
删除重复赋值

## [1.70.41] - 2025-04-13
修复NVME硬盘点灯异常

## [1.70.40] - 2025-04-13
修复NVME硬盘点灯异常

## [1.70.39] - 2025-04-01
修复raid卡收集日志进度无法到100的问题

## [1.70.38] - 2025-04-01
修复IPMI命令失败场景完成码不匹配的问题

## [1.70.37] - 2025-03-30
修复亿恒硬盘固件版本获取失败问题

## [1.70.36] - 2025-03-30
修复DriveCachePolicy属性值与资料不一致的问题

## [1.70.35] - 2025-03-30
openUBMC开源